YSTest: YSLib::Components::TouchEventArgs Struct Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | List of all members
YSLib::Components::TouchEventArgs Struct Reference

指针设备输入事件参数类。 More...

`#include <ywgtevt.h>`

Inheritance diagram for YSLib::Components::TouchEventArgs:
[legend]
Collaboration diagram for YSLib::Components::TouchEventArgs:
[legend]

## Public Types

typedef Drawing::Point | InputType
| 输入类型。

## Public Member Functions

| TouchEventArgs (IWidget &, const InputType &={}, RoutingStrategy=Direct)
| 构造：使用输入类型对象和路由事件类型。
Public Member Functions inherited from YSLib::Components::InputEventArgs
| InputEventArgs (IWidget &, const KeyInput &={}, RoutingStrategy=Direct)
| 构造：使用本机键按下对象和路由事件类型。
| operator const KeyInput & () const ynothrow
| 转换为按键代码类型。
const KeyInput & | GetKeys () const ynothrow
| 取按键代码。
Public Member Functions inherited from YSLib::Components::RoutedEventArgs
| RoutedEventArgs (IWidget &wgt, RoutingStrategy strategy=Direct)
Public Member Functions inherited from YSLib::Components::UIEventArgs
| UIEventArgs (IWidget &wgt)
| UIEventArgs (const UIEventArgs &)=default
| 复制构造：默认实现。
UIEventArgs & | operator= (const UIEventArgs &)=default
| 复制赋值：默认实现。
IWidget & | GetSender () const ynothrow
void | SetSender (IWidget &wgt)
Public Member Functions inherited from YSLib::Drawing::GBinaryGroup< SPos >
yconstfn | GBinaryGroup () ynothrow
| 无参数构造。
yconstfn | GBinaryGroup (const GBinaryGroup &)=default
| 复制构造：默认实现。
yconstfn | GBinaryGroup (const Size &) ynothrow
| 构造：使用 Size 对象。
yconstfn | GBinaryGroup (const Rect &) ynothrow
| 构造：使用 Rect 对象。
yconstfn | GBinaryGroup (_tScalar1 x, _tScalar2 y) ynothrow
| 构造：使用两个标量。
yconstfn GBinaryGroup | operator- () ynothrow
| 负运算：取加法逆元。
GBinaryGroup & | operator+= (const GBinaryGroup &val) ynothrow
| 加法赋值。
GBinaryGroup & | operator-= (const GBinaryGroup &val) ynothrow
| 减法赋值。
yconstfn SPos | GetX () const ynothrow
yconstfn SPos | GetY () const ynothrow
void | SetX (SPos_tempArgName)
void | SetY (SPos_tempArgName)
yconstfn bool | IsZero () const ynothrow
| 判断是否是零元素。
SPos & | GetRef (bool b=true) ynothrow
| 选择分量引用。
const SPos & | GetRef (bool b=true) const ynothrow
| 选择分量常量引用。

## Additional Inherited Members

Public Attributes inherited from YSLib::Components::InputEventArgs
KeyInput | Keys
| 包含的按键代码。
Public Attributes inherited from YSLib::Drawing::GBinaryGroup< SPos >
SPos | X
SPos | Y
| 分量。
Static Public Attributes inherited from YSLib::Drawing::GBinaryGroup< SPos >
static yconstexpr GBinaryGroup | Invalid
| 无效（不在屏幕坐标系中）对象。

## Detailed Description

指针设备输入事件参数类。

Warning
  非虚析构。

Since
  早于 build 132

Definition at line 172 of file ywgtevt.h.

## Member Typedef Documentation

typedef Drawing::Point YSLib::Components::TouchEventArgs::InputType

输入类型。

Definition at line 175 of file ywgtevt.h.

## Constructor & Destructor Documentation

TouchEventArgs::TouchEventArgs | ( | IWidget & | wgt,
|  | const InputType & | pt = `{}`,
|  | RoutingStrategy | s = `Direct`
| ) |  |

构造：使用输入类型对象和路由事件类型。

Since
  build 337

Definition at line 46 of file ywgtevt.cpp.

The documentation for this struct was generated from the following files:

- ywgtevt.h
- ywgtevt.cpp